<?php
///////////////////////////////////////////////////////////////////////////

require_once 'lib/vod/vod_list_screen.php';

class LVTV_VodListScreen extends VodListScreen {
    private $session;
    
    public static function get_media_url_str($cat_id,$text = null){
        $arr['screen_id'] = self::ID;
        $arr['category_id'] = $cat_id;
	if($cat_id === 'search')
		$arr['pattern'] = $text;

        return MediaURL::encode($arr);
    }

    ///////////////////////////////////////////////////////////////////////

    public function __construct($session, Vod $vod){
        parent::__construct($vod);
	$this->session = $session;
    }

    ///////////////////////////////////////////////////////////////////////

    protected function get_short_movie_range(MediaURL $media_url, $from_ndx, &$plugin_cookies){
	if($media_url->category_id === 'search'){
		hd_print("uit:$plugin_cookies->search_sort");
		$sort_by = $plugin_cookies->search_sort; 
		$xml = $this->session->get_vod_search($media_url->pattern,$sort_by);
	}else{
        	$xml = $this->session->get_dir($media_url->category_id);
        }
        
        $movies = array();
	$lvtv_url = $this->session->get_lvtv_url();
	#hd_print("url:$lvtv_url");
        foreach ($xml->items->children() as $movie){
            $movies[] = new ShortMovie(
                strval($movie->mid),
                strval($movie->title),
                $lvtv_url.strval($movie->thumb));
        }

        return new ShortMovieRange(0, count($movies), $movies);
    }
}

///////////////////////////////////////////////////////////////////////////
?>
